Subject: Re: [PATCH net v2 2/2] net: ipv6: fix dst ref loops in rpl, seg6 and ioam6 lwtunnels

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Jan 2025 06:55:18 -0800

On Thu, 30 Jan 2025 14:52:14 +0100 Justin Iurman wrote:
> > On 1/30/25 4:15 AM, Jakub Kicinski wrote:  
> >> Some lwtunnels have a dst cache for post-transformation dst.
> >> If the packet destination did not change we may end up recording
> >> a reference to the lwtunnel in its own cache, and the lwtunnel
> >> state will never be freed.  
> > 
> > The series LGTM, but I'm wondering if we can't have a similar loop for
> > input lwt?  
> 
> Hmmm, I think Paolo is right. At least, I don't see a reason why it 
> wouldn't be correct. We should also take care of input lwt for both 
> seg6_iptunnel and rpl_iptunnel (ioam6_iptunnel does not implement input).

Would you be able to take care of that? And perhaps add a selftest at
least for the looped cases?